com.holonplatform.vaadin.flow.components.builders

## Interface MultiSelectableInputConfigurator<T,ITEM,C extends MultiSelectableInputConfigurator<T,ITEM,C>>

- Type Parameters:
    `T` - Value type
    `ITEM` - Item type
    `C` - Concrete configurator type
  All Superinterfaces:
    ComponentConfigurator<C>, DeferrableLocalizationConfigurator<C>, HasDeferrableLocalization, HasElementConfigurator<C>, HasEnabledConfigurator<C>, HasItemCaptionConfigurator<ITEM,C>, HasStyleConfigurator<C>, InputConfigurator<Set<T>,ValueHolder.ValueChangeEvent<Set<T>>,C>, ItemSetConfigurator<C>, SelectableInputConfigurator<Set<T>,T,C>
  All Known Subinterfaces:
    ListMultiSelectConfigurator<T,ITEM,B>, ListMultiSelectConfigurator.DatastoreListMultiSelectInputBuilder<T,ITEM>, ListMultiSelectConfigurator.DatastoreListMultiSelectInputConfigurator<T,ITEM,C>, ListMultiSelectConfigurator.DatastorePropertyListMultiSelectInputBuilder<T>, ListMultiSelectConfigurator.DatastorePropertyListMultiSelectInputConfigurator<T,C>, ListMultiSelectConfigurator.ListMultiSelectInputBuilder<T,ITEM>, ListMultiSelectConfigurator.ListMultiSelectInputConfigurator<T,ITEM,D,C>, ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>, ListMultiSelectConfigurator.PropertyListMultiSelectInputConfigurator<T,D,C>, ListMultiSelectConfigurator.ValidatableDatastoreListMultiSelectInputBuilder<T,ITEM>, ListMultiSelectConfigurator.ValidatableDatastorePropertyListMultiSelectInputBuilder<T>, ListMultiSelectConfigurator.ValidatableListMultiSelectInputBuilder<T,ITEM>, ListMultiSelectConfigurator.ValidatablePropertyListMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator<T,ITEM,B>, OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputConfigurator<T,ITEM,C>, OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputConfigurator<T,C>, OptionsMultiSelectConfigurator.OptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.OptionsMultiSelectInputConfigurator<T,ITEM,D,C>, OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputConfigurator<T,D,C>, OptionsMultiSelectConfigurator.ValidatableDatastoreOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.ValidatableDatastorePropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.ValidatableOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.ValidatablePropertyOptionsMultiSelectInputBuilder<T>

      public interface MultiSelectableInputConfigurator<T,ITEM,C extends MultiSelectableInputConfigurator<T,ITEM,C>>
      extends ItemSetConfigurator<C>, SelectableInputConfigurator<Set<T>,T,C>, HasItemCaptionConfigurator<ITEM,C>

  `MultiSelect` type `Input` configurator.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `ItemSetConfigurator.ItemCaptionGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `dataSource(com.vaadin.flow.data.provider.ListDataProvider<ITEM> dataProvider)` Set the items data provider using a `ListDataProvider`.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `enumCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectableInputConfigurator

      `withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withReadonlyChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemCaptionConfigurator

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator`

- - ### Method Detail

    - #### dataSource

          C dataSource(com.vaadin.flow.data.provider.ListDataProvider<ITEM> dataProvider)

      Set the items data provider using a `ListDataProvider`.
      Parameters:
        `dataProvider` - The data provider to set
      Returns:
        this

Copyright © 2020 The Holon Platform. All rights reserved.